=== debian/control ===
Source: dupeguru
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Virgil Dupras <hsoft@hardcoded.net>
Build-Depends: debhelper (>= 7), python3-dev, python3-setuptools
Standards-Version: 3.9.6
Homepage: http://www.hardcoded.net

Package: dupeguru
Architecture: any
Depends: ${shlibs:Depends}, python3 (>=3.4), python3-pyqt5
Provides: dupeguru-se, dupeguru-me, dupeguru-pe
Replaces: dupeguru-se, dupeguru-me, dupeguru-pe
Conflicts: dupeguru-se, dupeguru-me, dupeguru-pe
Description: duplicate file finder
 dupeGuru is a cross-platform (Linux and OS X) GUI tool to find duplicate files
 in a system. It's written mostly in Python 3 and has the peculiarity of using multiple GUI toolkits, all using the same core Python code. On OS X, the UI
 layer is written in Objective-C and uses Cocoa. On Linux, it's written in Python and uses python3-Qt5.
