## dupeguru 4.0.4

=== debian/changelog ===
dupeguru (4.0.4-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Use 3.0 (quilt) source format.
  * Improve debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Apr 2020 11:05:56 -0700

dupeguru (4.0.4-0~eugenesan~bionic1) bionic; urgency=medium

  * Upload to PPA

 -- Eugene San (eugenesan) <eugenesan@gmail.com>  Thu, 29 Aug 2019 14:56:29 -0700

dupeguru (4.0.4~unstable) unstable; urgency=low

  * Update qt/platform.py to support other Unix style OSes (#444)
  * Fix font size scaling issue in properties dialog [qt] (#504)
  * Updates to support Python 3.7
  * Fix issue with result window appearing partially off-screen [qt] (#521)
  * Fix translation error for Simplified Chinese
  * Updates to language files for German (#479)
  * Fix error with multiple close calls to the progress window [qt] (#460, #449)
  * Add Travis CI Builds
  * Un-recurse methods get_files() and get_state() to improve stability (#421)
  * Updates to language files for Italian (#445, #446, #447, #448)
  * Fix issue with cache_shelve (#402, #439)
  * Updated Windows packaging and builds (#438, #456, #461, #491, #474, #490, #565)
  * Handle OS termination signals (#425)
  * Make documentation installation optional
  * Move cocoa UI to dupeguru-cocoa [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Mon, 13 May 2019 00:00:00 +0000

dupeguru (4.0.3~unstable) unstable; urgency=low

  * Add new picture cache backend: shelve
  * Make shelve picture cache backend the active one on MacOS to fix #394 more  elegantly. [cocoa]
  * Remove Sparkle (auto-updates) due to technical limitations. [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Thu, 24 Nov 2016 00:00:00 +0000

dupeguru (4.0.2~unstable) unstable; urgency=low

  * Fix systematic crash in Picture Mode under MacOS Sierra. (#394)
  * No change for Linux. Just keeping version in sync.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 09 Oct 2016 00:00:00 +0000

dupeguru (4.0.1~unstable) unstable; urgency=low

  * Add Greek localization, by Gabriel Koutilellis. (#382)
  * Fix localization base path. [qt] (#378)
  * Fix broken load results dialog. [qt]
  * Fix crash on load results. [cocoa] (#380)
  * Save preferences more predictably. [qt] (#379)
  * Fix picture mode's fuzzy block scanner threshold. (#387)

 -- Virgil Dupras <hsoft@hardcoded.net>  Wed, 24 Aug 2016 00:00:00 +0000

dupeguru (4.0.0~unstable) unstable; urgency=low

  * Merge Standard, Music and Picture editions in the same application!
  * Improve documentation. (#294)
  * Add Polish, Korean, Spanish and Dutch localizations.
  * qt: Fix wrong use_regexp option propagation to core. (#295)
  * qt: Fix progress window mistakenly showing up on startup. (#357)
  * Bump Python requirement to v3.4.
  * Bump OS X requirement to 10.8
  * Drop Windows support, maybe temporarily.  `Details <https://www.hardcoded.net/archive2015#2015-11-01>`_
  * cocoa: Drop iPhoto, Aperture and iTunes support. Was unmaintained and obsolete.
  * Drop "Audio Contents" scan type. Was confusing and seldom useful.
  * Change license to GPLv3

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 01 Jul 2016 00:00:00 +0000

dupeguru (3.9.1~unstable) unstable; urgency=low

  * Fixed ``AttributeError: 'ComboboxModel' object has no attribute 'reset'``. [Linux, Windows] (#254)
  * Fixed ``PermissionError`` on saving results. (#266)
  * Fixed a build problem introduced by Sphinx 1.2.3.
  * Updated German localisation, by Frank Weber.

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 17 Oct 2014 00:00:00 +0000

dupeguru (3.9.0~unstable) unstable; urgency=low

  * This is mostly a dependencies upgrade.
  * Upgraded to Python 3.3.
  * Upgraded to Qt 5.
  * Minimum Windows version is now Windows 7 64bit.
  * Minimum Ubuntu version is now 14.04.
  * Minimum OS X version is now 10.7 (Lion).
  * ... But with a couple of little improvements.
  * Improved documentation.
  * Overwrite subfolders' state when setting states in folder dialog (#248)
  * The error report dialog now brings the user to Github issues.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 19 Apr 2014 00:00:00 +0000

dupeguru (3.8.0~unstable) unstable; urgency=low

  * Disable symlink/hardlink deletion option when not relevant. (#247)
  * Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
  * Make non-numeric delta comparison case insensitive. (#239)
  * Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
  * Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
  * Improved documentation.
  * Important internal refactorings.
  * Dropped Ubuntu 12.04 and 12.10 support.
  * Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 07 Dec 2013 00:00:00 +0000

dupeguru (3.7.1~unstable) unstable; urgency=low

  * Fixed folder scan type, which was broken in v3.7.0.

 -- Virgil Dupras <hsoft@hardcoded.net>  Mon, 19 Aug 2013 00:00:00 +0000

dupeguru (3.7.0~unstable) unstable; urgency=low

  * Improved delta values to support non-numerical values. (#213)
  * Improved the Re-Prioritize dialog's UI. (#224)
  * Added hardlink/symlink support on Windows Vista+. (#220)
  * Dropped 32bit support on Mac OS X.
  * Added Vietnamese localization by Phan Anh.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 17 Aug 2013 00:00:00 +0000

dupeguru (3.6.1~unstable) unstable; urgency=low

  * Improved "Make Selection Reference" to make it clearer. (#222)
  * Improved "Open Selected" to allow opening more than one file at once. (#142)
  * Fixed a few typos here and there. (#216 #225)
  * Tweaked the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).
  * Added Arch Linux packaging
  * Added a 64-bit build for Windows.
  * Improved Russian localization by Kyrill Detinov.
  * Improved Brazilian localization by Victor Figueiredo.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 28 Apr 2013 00:00:00 +0000


