=== debian/control ===
Source: dupeguru
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Virgil Dupras <hsoft@hardcoded.net>,
            Eugene San (eugenesan) <eugenesan@gmail.com>
Build-Depends: debhelper (>= 9.2),
               python3-dev (>=3.4),
               python3-setuptools
Standards-Version: 3.9.2
Homepage: https://dupeguru.voltaicideas.net
Vcs-Browser: https://github.com/arsenetar/dupeguru
Vcs-Git: https://github.com/arsenetar/dupeguru.git

Package: dupeguru
Architecture: any
Depends: ${python3:Depends},
         python3 (>=3.4),
         python3.7 | python3.5 | python3.4,
         python3-pyqt5
Provides: dupeguru-se, dupeguru-me, dupeguru-pe
Replaces: dupeguru-se, dupeguru-me, dupeguru-pe
Conflicts: dupeguru-se, dupeguru-me, dupeguru-pe
Description: dupeGuru duplicate file finder
 dupeGuru is a cross-platform (Linux and OS X) GUI tool to find duplicate files
 in a system. It's written mostly in Python 3 and has the peculiarity of using
 multiple GUI toolkits, all using the same core Python code.
 On OS X, the UI layer is written in Objective-C and uses Cocoa.
 On Linux, it's written in Python, a bit of C, and uses python3-Qt5.
