## dupeguru 4.1.0

=== Makefile ===
#!/usr/bin/make -f

all:
	dh_prep
	dh_installdirs
	touch build_pe_modules.py
	python3 build_pe_modules.py
	chmod +x src/run.py
	cp -R src/ "$(CURDIR)/debian/dupeguru/usr/share/dupeguru"
	cp "$(CURDIR)/debian/dupeguru.desktop" "$(CURDIR)/debian/dupeguru/usr/share/applications"
	mkdir -p "$(CURDIR)/debian/dupeguru/usr/share/pixmaps"
	ln -s "/usr/share/dupeguru/dgse_logo_128.png" "$(CURDIR)/debian/dupeguru/usr/share/pixmaps/dupeguru.png"
	ln -s "/usr/share/dupeguru/run.py" "$(CURDIR)/debian/dupeguru/usr/bin/dupeguru"
