=== debian/changelog ===
dupeguru (4.1.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Feb 2021 20:03:54 -0800

dupeguru (4.1.0) unstable; urgency=low

  * Use tabs instead of separate windows (#688)
  * Show the shortcut for "mark selected" in results dialog (#656, #641)
  * Add image comparison features to details dialog (#683)
  * Add the ability to use regex based exclusion filters (#705)
  * Change reference row background color, and allow user to adjust the color
  * Save / Load directories as XML (#706)
  * Workaround for EXIF IFD type mismatch in parsing function (#630, #698)
  * Progress dialog stuck at "Verified X/X matches" (#693, #694)
  * Fix word wrap in ignore list dialog (#687)
  * Fix issue with result window action on creation (#685)
  * Colorize details table differences, allow moving rows (#682)
  * Fix loading Result of 'Scan Type: Folders' shows only '---' in every 
    table cell (#677, #676)
  * Fix issue with details and results dialog row trimming (#655, #654)
  * Add option to enable/disable bold font (#646, #314)
  * Use relative icon path for themes to override more easily (#746)
  * Fix issues with Python 3.8 compatibility (#665)
  * Fix flake8 issues (#672)
  * Update to use newer pytest and expand flake8 checking, cleanup various
    Deprecation Warnings
  * Add warnings to packaging script when files are not built (#691)
  * Use relative icon path for themes to override more easily (#746)
  * Update Packaging for Ubuntu (#593)
  * Minor Build Updates (#627, #575, #628, #614)
  * Update CI builds and add windows CI (#572, #669)

 -- Virgil Dupras <hsoft@hardcoded.net>  Tue, 29 Dec 2020 00:00:00 +0000

dupeguru (4.0.4) unstable; urgency=low

  * Update qt/platform.py to support other Unix style OSes (#444)
  * Fix font size scaling issue in properties dialog [qt] (#504)
  * Updates to support Python 3.7
  * Fix issue with result window appearing partially off-screen [qt] (#521)
  * Fix translation error for Simplified Chinese
  * Updates to language files for German (#479)
  * Fix error with multiple close calls to the progress window [qt] (#460, #449)
  * Add Travis CI Builds
  * Un-recurse methods get_files() and get_state() to improve stability (#421)
  * Updates to language files for Italian (#445, #446, #447, #448)
  * Fix issue with cache_shelve (#402, #439)
  * Updated Windows packaging and builds 
  * Handle OS termination signals (#425)
  * Make documentation installation optional
  * Move cocoa UI to dupeguru-cocoa [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Mon, 13 May 2019 00:00:00 +0000

dupeguru (4.0.3) unstable; urgency=low

  * Add new picture cache backend: shelve
  * Make shelve picture cache backend the active one on MacOS to fix #394 more
    elegantly. [cocoa]
  * Remove Sparkle (auto-updates) due to technical limitations. [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Thu, 24 Nov 2016 00:00:00 +0000

dupeguru (4.0.2) unstable; urgency=low

  * Fix systematic crash in Picture Mode under MacOS Sierra. (#394)
  * No change for Linux. Just keeping version in sync.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 09 Oct 2016 00:00:00 +0000

dupeguru (4.0.1) unstable; urgency=low

  * Add Greek localization, by Gabriel Koutilellis. (#382)
  * Fix localization base path. [qt] (#378)
  * Fix broken load results dialog. [qt]
  * Fix crash on load results. [cocoa] (#380)
  * Save preferences more predictably. [qt] (#379)
  * Fix picture mode's fuzzy block scanner threshold. (#387)

 -- Virgil Dupras <hsoft@hardcoded.net>  Wed, 24 Aug 2016 00:00:00 +0000

dupeguru (4.0.0) unstable; urgency=low

  * Merge Standard, Music and Picture editions in the same application!
  * Improve documentation. (#294)
  * Add Polish, Korean, Spanish and Dutch localizations.
  * qt: Fix wrong use_regexp option propagation to core. (#295)
  * qt: Fix progress window mistakenly showing up on startup. (#357)
  * Bump Python requirement to v3.4.
  * Bump OS X requirement to 10.8
  * cocoa: Drop iPhoto, Aperture and iTunes support. Was unmaintained and
    obsolete.
  * Drop "Audio Contents" scan type. Was confusing and seldom useful.
  * Change license to GPLv3

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 01 Jul 2016 00:00:00 +0000

dupeguru (3.9.1) unstable; urgency=low

  * Fixed ``AttributeError: 'ComboboxModel' object has no attribute 'reset'``. 
  * Fixed ``PermissionError`` on saving results. (#266)
  * Fixed a build problem introduced by Sphinx 1.2.3.
  * Updated German localisation, by Frank Weber.

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 17 Oct 2014 00:00:00 +0000

dupeguru (3.9.0) unstable; urgency=low

  * This is mostly a dependencies upgrade.
  * Upgraded to Python 3.3.
  * Upgraded to Qt 5.
  * Minimum Windows version is now Windows 7 64bit.
  * Minimum Ubuntu version is now 14.04.
  * Minimum OS X version is now 10.7 (Lion).
  * ... But with a couple of little improvements.
  * Improved documentation.
  * Overwrite subfolders' state when setting states in folder dialog (#248)
  * The error report dialog now brings the user to Github issues.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 19 Apr 2014 00:00:00 +0000

dupeguru (3.8.0) unstable; urgency=low

  * Disable symlink/hardlink deletion option when not relevant. (#247)
  * Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
  * Make non-numeric delta comparison case insensitive. (#239)
  * Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
  * Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
  * Improved documentation.
  * Important internal refactorings.
  * Dropped Ubuntu 12.04 and 12.10 support.
  * Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 07 Dec 2013 00:00:00 +0000

dupeguru (3.7.1) unstable; urgency=low

  * Fixed folder scan type, which was broken in v3.7.0.


