## dupeguru 4.1.1

=== debian/changelog ===
dupeguru (4.1.1-0.1~mx21+1) mx; urgency=medium

  * Initial build from upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 11 Nov 2021 12:35:29 -0500
