=== debian/changelog ===
dupeguru (4.3.1-6) unstable; urgency=medium

  * debian/patches/errno.patch:
    - Use errno.EISDIR and errno.EACCESS instead of hardcoding values,
      fix FTBFS on GNU Hurd.
  * debian/rules:
    - Do not install .pytest_cache folder.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 21 Aug 2025 22:28:20 +0200

dupeguru (4.3.1-5) unstable; urgency=medium

  * debian/patches/hurd-isolation_level.patch:
    - Use isolation_level=None mode for GNU Hurd to fix FTBFS.
  * debian/control:
    - Compatible with Debian Policy 4.7.2
  * debian/copyright:
    - Update FSF address information.
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 20 Aug 2025 15:29:41 +0200

dupeguru (4.3.1-4) unstable; urgency=medium

  * debian/patches/importlib.patch:
    - Update pygettext.py to get rid of imp module (Closes: #1061428).
  * debian/control:
    - Compatible with Debian Policy 4.6.2
  * debian/clean:
    - Clean .eggs directory during build.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 09 Feb 2024 13:29:40 +0100

dupeguru (4.3.1-3) unstable; urgency=medium

  * debian/patches/requires.patch:
    - Remove sys_platform tag from PyQt5 requirement to allow one to add
      python3-pyqt5 to Depends (Closes: #1021383).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 08 Oct 2022 13:02:56 +0200

dupeguru (4.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 26 Sep 2022 20:50:12 +0200

dupeguru (4.3.1-1) experimental; urgency=medium

  * Initial release (Closes: #995872).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 02 Sep 2022 21:17:42 +0000
