=== debian/control ===
Source: dupeguru
Section: utils
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-setuptools,
               python3-dev (>= 3.7~),
               pyqt5-dev-tools (>= 5.14.1~),
               python3-mutagen (>= 1.44.0~),
               python3-polib (>= 1.1.0~),
               python3-semantic-version (>= 2.0.0~),
               python3-send2trash (>= 1.3.0~),
               python3-sphinx (>= 3.0.0~),
               python3-pytest
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://dupeguru.voltaicideas.net
Vcs-Git: https://salsa.debian.org/python-team/packages/dupeguru.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dupeguru

Package: dupeguru
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GUI tool to find duplicate files in a system
 dupeGuru is a tool to find duplicate files on your computer.
 .
 It can scan either filenames or contents. The filename scan features a
 fuzzy matching algorithm that can find duplicate filenames even when
 they are not exactly the same.
 .
 dupeGuru is customizable: you can tweak its matching engine to find
 exactly the kind of duplicates you want to find.
