=== debian/rules ===
#!/usr/bin/make -f

export NO_VENV=yes
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=dupeguru
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/dupeguru \
					--install-scripts=/usr/share/dupeguru
export PYBUILD_AFTER_BUILD=make qt/dg_rc.py; make build/help; make i18n

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	rm -fr debian/dupeguru/usr/include/
	rm -fr debian/dupeguru/usr/share/dupeguru/core/pe/modules/
	rm -fr debian/dupeguru/usr/share/dupeguru/core/tests/
	rm -fr debian/dupeguru/usr/share/dupeguru/hscommon/tests/
	rm -fr debian/dupeguru/usr/share/dupeguru/qt/pe/modules/
	rm -fr debian/dupeguru/usr/share/dupeguru/dupeguru
	rm -fr debian/dupeguru/usr/share/dupeguru/.pytest_cache/
	mv debian/dupeguru/usr/share/dupeguru/core/pe \
		debian/dupeguru/usr/lib/dupeguru/core
	mv debian/dupeguru/usr/share/dupeguru/qt/pe \
		debian/dupeguru/usr/lib/dupeguru/qt
	find debian/dupeguru/usr/share/dupeguru/locale/ \
		! -name "*.mo" -type f -delete

execute_after_dh_fixperms:
	chmod +x debian/dupeguru/usr/share/dupeguru/run.py
