=== debian/watch ===
version=4
https://github.com/arsenetar/dupeguru/tags .*/v?(\d\S*)\.tar\.gz
